/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with {library}; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package ch.hortis.sonar.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

@Entity
@Table(name = "properties")
@NamedQueries(
    {@NamedQuery(name = Property.SQL_SELECT_PROPERTY, query =
        "SELECT p FROM Property p WHERE p.key = :property_key")}
)
public class Property {
  public final static String SQL_SELECT_PROPERTY = "Property.selectProperty";
  
  public final static String TENDENCY_DEPTH = "tendency.depth";
  
  @Id
  @Column(name = "prop_key", updatable = true, nullable = false)
  private String key;

  @Column(name = "prop_value", updatable = true, nullable = false)
  private String value;

  public Property(String key, String value) {
    this.key = key;
    this.value = value;
  }

  public Property() {
  }

  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public String getValue() {
    return value;
  }

  public void setValue(String value) {
    this.value = value;
  }
}
